/*
 * headerwidget.h
 *
 * Copyright (c) 2002, 2003 Frerich Raabe <raabe@kde.org>
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. For licensing and distribution details, check the
 * accompanying file 'COPYING'.
 */
#ifndef HEADERWIDGET_H
#define HEADERWIDGET_H

#include "port.h"

#include <qwidget.h>

class QLabel;
class KURLLabel;

namespace Barry
{
	class HeaderWidget : public QWidget
	{
		Q_OBJECT
		public:
			HeaderWidget( QWidget *parent );

		public slots:
			void setPort( const Port &port );

		private slots:
			void openURL( const QString &url );

		private:
			QLabel *m_statusIcon;
			QLabel *m_portName;
			KURLLabel *m_link;
			Port m_port;
	};
};

#endif // HEADERWIDGET_H
// vim:ts=4:sw=4:noet:list
